> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Evaluate Safety Stock Rules

> Evaluate the safety stock for given products and locations



## OpenAPI

````yaml /openapi/openapi_catalog_storefront.json post /commerce/rules/safetystock/evaluate
openapi: 3.0.1
info:
  description: |-
    <div id="overview_CATALOG_STOREFRONT">
                <h2>CATALOG STOREFRONT</h2>
                <p>The Catalog Storefront APIs are a collection of resources for managing storefront categories, currencies, price lists, products, and
                    product search. This controls how the products in your catalog are organized and displayed on the
                    storefront. See the
                    <a href="/concept-guides/catalog">Catalog user guides</a>
                    for information about the related features in the Unified Commerce Admin.</p>
                <p>Use the <strong>Currencies</strong> resource to retrieve exchange rates for displaying prices on your storefront.</p>
                <p>Use the <strong>Storefront Categories</strong> resource to view the product category hierarchy as it appears to shoppers
                    who are browsing the storefront. The hierarchy can be returned as a flat list or as a category tree.</p>
                <p>Use the <strong>Pricelists</strong> resource to retrieve the details of a price list. The details may contain a hierarchy
                    of ancestor and/or descendant price lists dependening on your configuration.</p>
                <p>Use the <strong>Storefront Products</strong> resource to manage the shopper product selection process during a visit to
                    the web storefront. You can update product options as shoppers pick and choose their product choices. A
                    shopper cannot add a product to a cart until all of its required options have been selected.</p>
                <p>Use the <strong>Product Search</strong> resource to provide dynamic search results to shoppers as they browse and search
                    for products on the web storefront, and to suggest possible search terms as the shopper enters text. The related <strong>Search Redirect</strong>
                    resource allows you to retrieve any search redirect items.</p>
            </div>
  title: Catalog Storefront
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /commerce/rules/safetystock/evaluate:
    post:
      tags:
        - Rules
      summary: Evaluate Safety Stock Rules
      description: Evaluate the safety stock for given products and locations
      parameters:
        - description: limits which fields are returned in the response body
          in: query
          name: responseFields
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              items:
                $ref: '#/components/schemas/SafetyStockEvalRequest'
              type: array
        description: The request containing the products and customer to evaluate
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/SafetyStockEvalResponse'
                type: array
            text/json:
              schema:
                items:
                  $ref: '#/components/schemas/SafetyStockEvalResponse'
                type: array
            text/plain:
              schema:
                items:
                  $ref: '#/components/schemas/SafetyStockEvalResponse'
                type: array
          description: OK
components:
  schemas:
    SafetyStockEvalRequest:
      description: Request parameters for evaluating purchase limit
      properties:
        locationCode:
          description: List of items to evaluate
          nullable: true
          type: string
        productCode:
          description: Customer ID
          nullable: true
          type: string
      required:
        - locationCode
        - productCode
      type: object
    SafetyStockEvalResponse:
      description: ''
      properties:
        locationCode:
          description: List of items to evaluate
          nullable: true
          type: string
        productCode:
          description: Customer ID
          nullable: true
          type: string
        quantity:
          description: List of items to evaluate
          format: int32
          nullable: true
          type: integer
        rank:
          format: int32
          nullable: true
          type: integer
        ruleCode:
          description: List of items to evaluate
          nullable: true
          type: string
      required:
        - locationCode
        - productCode
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````